## python-opcua 0.90.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonOPC-UA.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonOPC-UA.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonOPC-UA"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonOPC-UA"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-opcua 0.10.17

=== debian/changelog ===
python-opcua (0.10.17-3) unstable; urgency=medium

  * Fix description, esp. copy/paste from other package
    (Closes: #840737).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 15 Oct 2016 00:57:33 +0000

python-opcua (0.10.17-2) unstable; urgency=medium

  * Fix missing build-deps (Closes: #840761).

 -- W. Martin Borgert <debacle@debian.org>  Fri, 14 Oct 2016 20:50:36 +0000

python-opcua (0.10.17-1) unstable; urgency=medium

  * Initial upload (Closes: #839679).

 -- W. Martin Borgert <debacle@debian.org>  Thu, 13 Oct 2016 07:21:53 +0000

=== debian/control ===
Source: python-opcua
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: devscripts,
	python (>= 2.6.5),
	python-concurrent.futures,
	python-dateutil,
	python-enum34,
	python-setuptools,
	python-trollius,
	python3,
	python3-setuptools,
	dh-python,
	debhelper (>= 9),
	dh-buildinfo
Standards-Version: 3.9.8
Homepage: https://freeopcua.github.io/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-opcua.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-opcua.git

Package: python-opcua
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: ${python:Suggests}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Pure Python OPC-UA Client and Server (Python 2)
 An OPC-UA (Open Platform Communications - Unified Architecture)
 client and server library, written entirely in Python.
 .
 This package contains the Python 2 library.

Package: python3-opcua
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: Pure Python OPC-UA Client and Server (Python 3)
 An OPC-UA (Open Platform Communications - Unified Architecture)
 client and server library, written entirely in Python.
 .
 This package contains the Python 3 library.

Package: python-opcua-tools
Architecture: all
Depends: python3, python3-opcua, ${python3:Depends}, ${misc:Depends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: Pure Python OPC-UA Client and Server (tools)
 An OPC-UA (Open Platform Communications - Unified Architecture)
 client and server library, written entirely in Python.
 .
 This package contains OPC UA tools:
  * uabrowse
  * uaclient
  * uadiscover
  * uahistoryread
  * uals
  * uaread
  * uaserver
  * uasubscribe
  * uawrite

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=opcua

%:
	dh $@ --buildsystem=pybuild --with python2,python3

override_dh_python2:
	dh_python2 -O--buildsystem=pybuild
	rm -fr ./debian/python-opcua/usr/bin

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild
	rm -fr ./debian/python3-opcua/usr/bin

override_dh_auto_test:
	./run-tests.sh

## python-opcua 0.90.3

=== debian/changelog ===
python-opcua (0.90.3-1) unstable; urgency=medium

  * New upstream version.
  * Use cryptography module.
  * Add basic import tests (autopkgtest).
  * Run unittests for both Python 2 and 3.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 19 May 2017 07:46:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,19 @@
 Build-Depends: devscripts,
 	python (>= 2.6.5),
 	python-concurrent.futures,
+	python-cryptography,
 	python-dateutil,
 	python-enum34,
+	python-lxml,
 	python-setuptools,
 	python-trollius,
+	python-tz,
 	python3,
+	python3-cryptography,
+	python3-dateutil,
+	python3-lxml,
 	python3-setuptools,
+	python3-tz,
 	dh-python,
 	debhelper (>= 9),
 	dh-buildinfo

=== debian/tests/control ===
Tests: basic-import-py2, basic-import-py3

=== debian/watch ===
version=3
https://github.com/reeOpcUa/python-opcua/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|(?:python-opcua)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-opcua 0.98.6

=== debian/changelog ===
python-opcua (0.98.6-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtests (Closes: #911155)
    - Add test dependencies on python{,3}-cryptography
    - Avoid 'No handlers could be found for logger' error
    - Mark tests 'superficial'
  * Update debian/clean to avoid FTBFSx2

 -- Graham Inggs <ginggs@debian.org>  Thu, 11 Apr 2019 14:09:05 +0000

python-opcua (0.98.6-1) unstable; urgency=medium

  * New upstream stable release

 -- W. Martin Borgert <debacle@debian.org>  Mon, 11 Feb 2019 22:46:25 +0000

python-opcua (0.98.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ W. Martin Borgert ]
  * New upstream version, compatible with Python 3.7 (Closes: #904373)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 03 Sep 2018 08:32:55 +0000

python-opcua (0.95.1-1) unstable; urgency=medium

  [ Edward Betts ]
  * Correct typo in debian/watch.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ W. Martin Borgert ]
  * New upstream version
  * Bump standards and dh compat

 -- W. Martin Borgert <debacle@debian.org>  Sun, 11 Mar 2018 19:03:59 +0000

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,13 @@
 	python3-setuptools,
 	python3-tz,
 	dh-python,
-	debhelper (>= 9),
+	debhelper (>= 11),
 	dh-buildinfo
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Homepage: https://freeopcua.github.io/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-opcua.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-opcua.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-opcua.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opcua
 
 Package: python-opcua
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 	rm -fr ./debian/python3-opcua/usr/bin
 
 override_dh_auto_test:
-	./run-tests.sh
+	python tests/tests.py
+	python3 tests/tests.py

=== debian/tests/control ===
Tests: basic-import-py2
Depends: python-opcua, python-cryptography
Restrictions: superficial

Tests: basic-import-py3
Depends: python3-opcua, python3-cryptography
Restrictions: superficial

## python-opcua 0.98.9

=== debian/changelog ===
python-opcua (0.98.9-1) unstable; urgency=medium

  * Team upload
  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.98.9
  * Update Standards-Version to 4.5.0
  * Add gbp.conf
  * Recreate 0001-disable-failing-test.patch
  * Add 0004-Fix-comparison-with-literal.patch closes: #950210
    Patch supplied from Matthias Klose

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 11 Mar 2020 12:56:22 +0100

python-opcua (0.98.6-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 11:51:49 +0500

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,6 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
 Build-Depends: devscripts,
-	python (>= 2.6.5),
-	python-concurrent.futures,
-	python-cryptography,
-	python-dateutil,
-	python-enum34,
-	python-lxml,
-	python-setuptools,
-	python-trollius,
-	python-tz,
 	python3,
 	python3-cryptography,
 	python3-dateutil,
@@ -20,25 +11,13 @@
 	python3-setuptools,
 	python3-tz,
 	dh-python,
-	debhelper (>= 11),
+	debhelper-compat (= 12),
 	dh-buildinfo
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://freeopcua.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-opcua.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opcua
-
-Package: python-opcua
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Suggests: ${python:Suggests}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Pure Python OPC-UA Client and Server (Python 2)
- An OPC-UA (Open Platform Communications - Unified Architecture)
- client and server library, written entirely in Python.
- .
- This package contains the Python 2 library.
 
 Package: python3-opcua
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=opcua

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_python3:
	dh_python3 -O--buildsystem=pybuild
	rm -fr ./debian/python3-opcua/usr/bin

override_dh_auto_test:
	python3 tests/tests.py

=== debian/tests/control ===
Tests: basic-import-py3
Depends: python3-opcua, python3-cryptography
Restrictions: superficial

## python-opcua 0.98.11

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
futures
cryptography

=== debian/changelog ===
python-opcua (0.98.11-1ubuntu1) jammy; urgency=medium

  * d/p/0005-fix-collections-import.patch: fix collections import for
    python 3.10+ (LP: #1959935)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 03 Feb 2022 20:22:48 +0000

python-opcua (0.98.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Rebase patches
    - Remove obsolete patch
  * Bump debhelper to 13
  * Add entries in d/copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 21 Jun 2020 11:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-opcua
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
 Build-Depends: devscripts,
 	python3,
@@ -11,7 +12,7 @@
 	python3-setuptools,
 	python3-tz,
 	dh-python,
-	debhelper-compat (= 12),
+	debhelper-compat (= 13),
 	dh-buildinfo
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/watch ===
version=3
https://github.com/FreeOpcUa/python-opcua/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|(?:python-opcua)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
